List results

List results

GET/cars/results

Pass the searchToken from /cars/search as the token query parameter to get page 1. Each response that has another page includes nextToken. This call usually answers in 1–4 seconds.

What is in a page

cars is at most 20 vehicles. bookingOptions lists each seller and price. availableFilters describes this search; carClass and transmission can be sent on a new /cars/search. providers and agencies map the codes on this page to display names.

The id on a car is what /cars/details wants as resultId. Keep the token — details needs it too.

Read more

Why one car lists several booking sites: car rental aggregator API.

Parameters

Query parameters.

tokenstringRequired

A searchToken from /cars/search for page 1, or a nextToken from the previous page. There is no page number to set.

Returns

A successful response, captured live.

                        {
  "cars": [
    {
      "id": "34dd91e8d2edaccb35063a37cacca7b4",
      "car": {
        "name": "Fiat 500",
        "class": "Mini",
        "classGroups": [
          "small"
        ],
        "image": "https://images.turo.com/media/vehicle/images/O8c5O2cuQPGNOpcCRg0D5A.294x196.jpg",
        "passengers": 4,
        "bags": 1,
        "doors": 2,
        "transmission": "automatic",
        "airConditioning": true,
        "fuelType": "Fully electric",
        "sipCode": "MBAE"
      },
      "agency": {
        "code": "turo",
        "name": "Turo"
      },
      "pickup": {
        "locationId": "8e52fc9be190248c007d",
        "type": "NON_AIRPORT",
        "isAirport": false,
        "airportCode": null,
        "address": null,
        "city": null,
        "country": "US",
        "distance": "1.0 mi from city center",
        "lat": 30.275837633693175,
        "lng": -97.72940115400951,
        "rating": {
          "overall": 4.897200107574463,
          "label": "okay",
          "count": 0,
          "breakdowns": null
        },
        "operatingHours": null
      },
      "price": {
        "amount": 184,
        "currency": "USD",
        "formatted": "$184"
      },
      "bestOption": {
        "provider": "ITURO",
        "price": {
          "amount": 184,
          "currency": "USD",
          "formatted": "$184"
        },
        "perDay": {
          "amount": 27,
          "currency": "USD",
          "formatted": "$27"
        },
        "paymentType": "PREPAY",
        "freeCancellation": true,
        "mileage": "1,400 total mi included",
        "fuelPolicy": "same-to-same"
      },
      "bookingOptions": [
        {
          "provider": "ITURO",
          "providerName": "Turo",
          "price": {
            "amount": 184,
            "currency": "USD",
            "formatted": "$184"
          },
          "perDay": {
            "amount": 27,
            "currency": "USD",
            "formatted": "$27"
          },
          "paymentType": "PREPAY",
          "freeCancellation": true
        }
      ],
      "optionCount": 1,
      "badges": [
        {
          "type": "discount",
          "label": "16% off",
          "description": null
        }
      ],
      "discount": null,
      "viewRank": 1
    },
    {
      "id": "2b0173a66e41e77c3658adb6028886f7",
      "car": {
        "name": "Nissan Versa",
        "class": "Compact",
        "classGroups": [
          "small"
        ],
        "image": "https://content.r9cdn.net/rimg/car-images/generic/34_sedan_gray.png?width=360",
        "passengers": 5,
        "bags": 3,
        "doors": 4,
        "transmission": "automatic",
        "airConditioning": true,
        "fuelType": "Gas",
        "sipCode": "CCAR"
      },
      "agency": {
        "code": "europcar",
        "name": "Europcar"
      },
      "pickup": {
        "locationId": "20015907",
        "type": "IN_TERMINAL",
        "isAirport": true,
        "airportCode": "AUS",
        "address": "Please Go To Fox Counter",
        "city": "Austin",
        "country": "US",
        "distance": "7.4 mi from city center",
        "lat": 30.19453,
        "lng": -97.66987,
        "rating": {
          "overall": 6,
          "label": "good",
          "count": 6,
          "breakdowns": null
        },
        "operatingHours": null
      },
      "price": {
        "amount": 189,
        "currency": "USD",
        "formatted": "$189"
      },
      "bestOption": {
        "provider": "IEUROPCAR",
        "price": {
          "amount": 189,
          "currency": "USD",
          "formatted": "$189"
        },
        "perDay": {
          "amount": 27,
          "currency": "USD",
          "formatted": "$27"
        },
        "paymentType": "PREPAY",
        "freeCancellation": true,
        "mileage": "Unlimited miles",
        "fuelPolicy": "full-to-full"
      },
      "bookingOptions": [
        {
          "provider": "IEUROPCAR",
          "providerName": "Europcar",
          "price": {
            "amount": 189,
            "currency": "USD",
            "formatted": "$189"
          },
          "perDay": {
            "amount": 27,
            "currency": "USD",
            "formatted": "$27"
          },
          "paymentType": "PREPAY",
          "freeCancellation": true
        },
        {
          "provider": "IEXPEDIACARAPI",
          "providerName": "Expedia",
          "price": {
            "amount": 256,
            "currency": "USD",
            "formatted": "$256"
          },
          "perDay": {
            "amount": 37,
            "currency": "USD",
            "formatted": "$37"
          },
          "paymentType": "PREPAY",
          "freeCancellation": true
        },
        {
          "provider": "IEXPEDIACARAPI",
          "providerName": "Expedia",
          "price": {
            "amount": 265,
            "currency": "USD",
            "formatted": "$265"
          },
          "perDay": {
            "amount": 38,
            "currency": "USD",
            "formatted": "$38"
          },
          "paymentType": "PAY_AT_PICKUP",
          "freeCancellation": true
        },
        {
          "provider": "IPRICELINECAR",
          "providerName": "Priceline",
          "price": {
            "amount": 265,
            "currency": "USD",
            "formatted": "$265"
          },
          "perDay": {
            "amount": 38,
            "currency": "USD",
            "formatted": "$38"
          },
          "paymentType": "PREPAY",
          "freeCancellation": true
        },
        {
          "provider": "IAIRPORTRENTALCARS",
          "providerName": "AirportRentalCars",
          "price": {
            "amount": 265,
            "currency": "USD",
            "formatted": "$265"
          },
          "perDay": {
            "amount": 38,
            "currency": "USD",
            "formatted": "$38"
          },
          "paymentType": "PAY_AT_PICKUP",
          "freeCancellation": true
        }
      ],
      "optionCount": 5,
      "badges": [
        {
          "type": "greatDeal",
          "label": "38% cheaper",
          "description": "This offer is 38% cheaper than the average small size car offer ($305)"
        }
      ],
      "discount": {
        "percent": 38,
        "classType": "small",
        "classAvgPrice": {
          "amount": 304.98,
          "currency": "USD",
          "formatted": "$305"
        }
      },
      "viewRank": 2
    },
    {
      "id": "cd9d6ba5326148f167cee70439f61ea9",
      "car": {
        "name": "Ford EcoSport",
        "class": "Intermediate SUV",
        "classGroups": [
          "suv"
        ],
        "image": "https://content.r9cdn.net/rimg/car-images/generic/05_suv-small_black.png?width=360",
        "passengers": 5,
        "bags": 3,
        "doors": 5,
        "transmission": "automatic",
        "airConditioning": true,
        "fuelType": "Gas",
        "sipCode": "IFAR"
      },
      "agency": {
        "code": "fox",
        "name": "Fox"
      },
      "pickup": {
        "locationId": "56753",
        "type": "IN_TERMINAL",
        "isAirport": true,
        "airportCode": "AUS",
        "address": "3819 Presidential Boulevard",
        "city": "Austin",
        "country": "US",
        "distance": "7.1 mi from city center",
        "lat": 30.19453,
        "lng": -97.66987,
        "rating": {
          "overall": 6.4,
          "label": "good",
          "count": 96,
          "breakdowns": null
        },
        "operatingHours": [
          {
            "days": "Monday - Sunday",
            "open": 700,
            "close": 2359
          }
        ]
      },
      "price": {
        "amount": 253,
        "currency": "USD",
        "formatted": "$253"
      },
      "bestOption": {
        "provider": "IWISECARS",
        "price": {
          "amount": 253,
          "currency": "USD",
          "formatted": "$253"
        },
        "perDay": {
          "amount": 37,
          "currency": "USD",
          "formatted": "$37"
        },
        "paymentType": "PREPAY",
        "freeCancellation": true,
        "mileage": "Unlimited miles",
        "fuelPolicy": "full-to-full"
      },
      "bookingOptions": [
        {
          "provider": "IWISECARS",
          "providerName": "Wisecars",
          "price": {
            "amount": 253,
            "currency": "USD",
            "formatted": "$253"
          },
          "perDay": {
            "amount": 37,
            "currency": "USD",
            "formatted": "$37"
          },
          "paymentType": "PREPAY",
          "freeCancellation": true
        },
        {
          "provider": "IAUTOEUROPE",
          "providerName": "Auto Europe",
          "price": {
            "amount": 274,
            "currency": "USD",
            "formatted": "$274"
          },
          "perDay": {
            "amount": 40,
            "currency": "USD",
            "formatted": "$40"
          },
          "paymentType": "PREPAY",
          "freeCancellation": true
        },
        {
          "provider": "ICARRENTAL8",
          "providerName": "Car Rental 8",
          "price": {
            "amount": 274,
            "currency": "USD",
            "formatted": "$274"
          },
          "perDay": {
            "amount": 40,
            "currency": "USD",
            "formatted": "$40"
          },
          "paymentType": "PREPAY",
          "freeCancellation": true
        },
        {
          "provider": "IEXPEDIACARAPI",
          "providerName": "Expedia",
          "price": {
            "amount": 320,
            "currency": "USD",
            "formatted": "$320"
          },
          "perDay": {
            "amount": 46,
            "currency": "USD",
            "formatted": "$46"
          },
          "paymentType": "PAY_AT_PICKUP",
          "freeCancellation": true
        },
        {
          "provider": "IPRICELINECAR",
          "providerName": "Priceline",
          "price": {
            "amount": 320,
            "currency": "USD",
            "formatted": "$320"
          },
          "perDay": {
            "amount": 46,
            "currency": "USD",
            "formatted": "$46"
          },
          "paymentType": "PAY_AT_PICKUP",
          "freeCancellation": true
        },
        {
          "provider": "IBOOKINGDOTCOMCAR",
          "providerName": "Booking.com",
          "price": {
            "amount": 320,
            "currency": "USD",
            "formatted": "$320"
          },
          "perDay": {
            "amount": 46,
            "currency": "USD",
            "formatted": "$46"
          },
          "paymentType": "PREPAY",
          "freeCancellation": true
        },
        {
          "provider": "IAIRPORTRENTALCARS",
          "providerName": "AirportRentalCars",
          "price": {
            "amount": 320,
            "currency": "USD",
            "formatted": "$320"
          },
          "perDay": {
            "amount": 46,
            "currency": "USD",
            "formatted": "$46"
          },
          "paymentType": "PAY_AT_PICKUP",
          "freeCancellation": true
        },
        {
          "provider": "IBOOKINGGROUP",
          "providerName": "EconomyBookings",
          "price": {
            "amount": 326,
            "currency": "USD",
            "formatted": "$326"
          },
          "perDay": {
            "amount": 47,
            "currency": "USD",
            "formatted": "$47"
          },
          "paymentType": "PREPAY",
          "freeCancellation": true
        },
        {
          "provider": "IBOOKINGDOTCOMCAR",
          "providerName": "Booking.com",
          "price": {
            "amount": 358,
            "currency": "USD",
            "formatted": "$358"
          },
          "perDay": {
            "amount": 52,
            "currency": "USD",
            "formatted": "$52"
          },
          "paymentType": "PAY_AT_PICKUP",
          "freeCancellation": true
        }
      ],
      "optionCount": 9,
      "badges": null,
      "discount": null,
      "viewRank": 12
    }
  ],
  "page": 1,
  "hasMore": true,
  "expiresIn": 3598,
  "totalResults": 932,
  "nextToken": "eyJwIjoyLCJzIjoiMzY5Yjc0Yzc0NDI1NGYxYThjMWIyNGQ3NjgxMmZjMWUiLCJ2IjoxfQ",
  "availableFilters": {
    "price": {
      "min": 0,
      "max": 424,
      "average": {
        "amount": 437,
        "currency": "USD",
        "formatted": "$437"
      }
    },
    "carClass": [
      {
        "id": "SMALL",
        "label": "Small",
        "minPrice": 184,
        "count": 131
      },
      {
        "id": "MEDIUM",
        "label": "Medium",
        "minPrice": 186,
        "count": 220
      },
      {
        "id": "LARGE",
        "label": "Large",
        "minPrice": 204,
        "count": 152
      },
      {
        "id": "SUV",
        "label": "SUV",
        "minPrice": 242,
        "count": 281
      }
    ],
    "transmission": [
      {
        "id": "Automatic",
        "label": "Automatic",
        "minPrice": 184,
        "count": 932
      }
    ]
  },
  "providers": {
    "IWISECARS": {
      "code": "IWISECARS",
      "name": "Wisecars"
    },
    "ICARRENTAL8": {
      "code": "ICARRENTAL8",
      "name": "Car Rental 8"
    },
    "IAUTOEUROPE": {
      "code": "IAUTOEUROPE",
      "name": "Auto Europe"
    },
    "IEXPEDIACARAPI": {
      "code": "IEXPEDIACARAPI",
      "name": "Expedia"
    },
    "IAIRPORTRENTALCARS": {
      "code": "IAIRPORTRENTALCARS",
      "name": "AirportRentalCars"
    },
    "IPRICELINECAR": {
      "code": "IPRICELINECAR",
      "name": "Priceline"
    },
    "IBOOKINGGROUP": {
      "code": "IBOOKINGGROUP",
      "name": "EconomyBookings"
    },
    "ITURO": {
      "code": "ITURO",
      "name": "Turo"
    },
    "IEUROPCAR": {
      "code": "IEUROPCAR",
      "name": "Europcar"
    },
    "IBOOKINGDOTCOMCAR": {
      "code": "IBOOKINGDOTCOMCAR",
      "name": "Booking.com"
    }
  },
  "agencies": {
    "turo": {
      "code": "turo",
      "name": "Turo"
    },
    "fox": {
      "code": "fox",
      "name": "Fox"
    },
    "europcar": {
      "code": "europcar",
      "name": "Europcar"
    }
  },
  "locations": {
    "56753": {
      "locationId": "56753",
      "type": "IN_TERMINAL",
      "isAirport": true,
      "airportCode": "AUS",
      "address": "3819 Presidential Boulevard",
      "city": "Austin",
      "country": "US",
      "distance": "7.1 mi from city center",
      "lat": 30.19453,
      "lng": -97.66987,
      "rating": {
        "overall": 6.4,
        "label": "good",
        "count": 96,
        "breakdowns": [
          {
            "type": "comfort",
            "label": "Comfort",
            "score": 7.3,
            "rating": "good"
          },
          {
            "type": "clean",
            "label": "Cleanliness",
            "score": 7,
            "rating": "good"
          },
          {
            "type": "pickupDropoff",
            "label": "Pick-up/Drop-off",
            "score": 6.6,
            "rating": "good"
          },
          {
            "type": "value",
            "label": "Value for money",
            "score": 6.4,
            "rating": "good"
          }
        ]
      },
      "operatingHours": [
        {
          "days": "Monday - Sunday",
          "open": 700,
          "close": 2359
        }
      ]
    },
    "20015907": {
      "locationId": "20015907",
      "type": "IN_TERMINAL",
      "isAirport": true,
      "airportCode": "AUS",
      "address": "Please Go To Fox Counter",
      "city": "Austin",
      "country": "US",
      "distance": "7.4 mi from city center",
      "lat": 30.19453,
      "lng": -97.66987,
      "rating": {
        "overall": 6,
        "label": "good",
        "count": 6,
        "breakdowns": [
          {
            "type": "comfort",
            "label": "Comfort",
            "score": 6.6,
            "rating": "good"
          },
          {
            "type": "clean",
            "label": "Cleanliness",
            "score": 7.3,
            "rating": "good"
          },
          {
            "type": "pickupDropoff",
            "label": "Pick-up/Drop-off",
            "score": 6,
            "rating": "good"
          },
          {
            "type": "value",
            "label": "Value for money",
            "score": 6,
            "rating": "good"
          }
        ]
      },
      "operatingHours": null
    },
    "8e52fc9be190248c007d": {
      "locationId": "8e52fc9be190248c007d",
      "type": "NON_AIRPORT",
      "isAirport": false,
      "airportCode": null,
      "address": null,
      "city": null,
      "country": "US",
      "distance": "1.0 mi from city center",
      "lat": 30.275837633693175,
      "lng": -97.72940115400951,
      "rating": {
        "overall": 4.897200107574463,
        "label": "okay",
        "count": 0,
        "breakdowns": null
      },
      "operatingHours": null
    }
  }
}
                      
Showing 3 of 20 cars · availableFilters shortened.